Safe::Internal::enable_if< B, T > Struct Template Reference

Helper struct for SFINAE, from C++11. More...

`#include <safe_op.hpp>`

## Detailed Description

### template<bool B, class T = void>
struct Safe::Internal::enable_if< B, T >

Helper struct for SFINAE, from C++11.

This struct has a public typedef called type typedef'd to T if B is true. Otherwise there is no typedef.

The documentation for this struct was generated from the following file:

- safe_op.hpp